--- /var/tmp/smbios.lst	Sat Mar 19 01:40:23 2011
+++ /var/tmp/smbios-new.lst	Sat Mar 19 01:40:29 2011
@@ -1,5 +1,5 @@
 ID    SIZE TYPE
-0     68   SMB_TYPE_BIOS (BIOS information)
+0     68   0 SMB_TYPE_BIOS (BIOS information)
 
   Vendor: American Megatrends Inc.
   Version String: 0ABMN064
@@ -35,7 +35,7 @@
   Embedded Ctlr Firmware Version Number: 0.0
 
 ID    SIZE TYPE
-1     129  SMB_TYPE_SYSTEM (system information)
+1     129  1 SMB_TYPE_SYSTEM (system information)
 
   Manufacturer: Sun Microsystems    
   Product: Sun Fire X4440
@@ -48,7 +48,7 @@
   Family: Sun Fire X86 Server
 
 ID    SIZE TYPE
-2     135  SMB_TYPE_BASEBOARD (base board)
+2     135  2 SMB_TYPE_BASEBOARD (base board)
 
   Manufacturer: Sun Microsystems    
   Product: Sun Fire X4440
@@ -64,7 +64,7 @@
   Board Type: 0xa (motherboard)
 
 ID    SIZE TYPE
-3     99   SMB_TYPE_CHASSIS (system enclosure or chassis)
+3     99   3 SMB_TYPE_CHASSIS (system enclosure or chassis)
 
   Manufacturer: Sun Microsystems    
   Version: N/A             
@@ -71,6 +71,7 @@
   Serial Number: 00000000000000000000
   Asset Tag: 0000000000000000
 
+  SKU Number: 
   OEM Data: 0x0
   Lock Present: N
   Chassis Type: 0x17 (rack mount chassis)
@@ -77,7 +78,7 @@
   Boot-Up State: 0x3 (safe)
   Power Supply State: 0x3 (safe)
   Thermal State: 0x3 (safe)
-  Chassis Height: 0u
+  Chassis Height: 0 RU
   Power Cords: 2
   Element Records: 1
 
@@ -84,7 +85,7 @@
   Contained SMBIOS structure Type: 128 (SMB_TYPE_OEMSTR)
 
 ID    SIZE TYPE
-4     129  SMB_TYPE_PROCESSOR (processor)
+4     129  4 SMB_TYPE_PROCESSOR (processor)
 
   Manufacturer: AMD              
   Version: Six-Core AMD Opteron(tm) Processor 8439 SE          
@@ -98,17 +99,22 @@
   Type: 3 (central processor)
   Socket Upgrade: 1 (other)
   Socket Status: Populated
+  Cores: 2
+  Cores Enabled: 2
+  Hardware Threads: 0
+  Characteristics: 0x4
+	SMB_PRC_MC (multi-core)
   Processor Status: 1 (enabled)
-  Supported Voltages: 1.5V
-  External Clock Speed: Unknown
-  Maximum Speed: 2800MHz
-  Current Speed: 2800MHz
-  L1 Cache: 5
-  L2 Cache: 6
-  L3 Cache: 7
+  Supported Voltages: 1.5 V
+  External Clock Speed: 200 MHz
+  Maximum Speed: 2800 MHz
+  Current Speed: 2800 MHz
+  L1 Cache: see ID 5
+  L2 Cache: see ID 6
+  L3 Cache: see ID 7
 
 ID    SIZE TYPE
-5     27   SMB_TYPE_CACHE (processor cache)
+5     27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L1-Cache
 
@@ -128,7 +134,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-6     27   SMB_TYPE_CACHE (processor cache)
+6     27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L2-Cache
 
@@ -148,7 +154,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-7     27   SMB_TYPE_CACHE (processor cache)
+7     27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L3-Cache
 
@@ -168,7 +174,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-8     128  SMB_TYPE_PROCESSOR (processor)
+8     128  4 SMB_TYPE_PROCESSOR (processor)
 
   Manufacturer: AMD              
   Version: Six-Core AMD Opteron(tm) Processor 8439 SE          
@@ -182,17 +188,22 @@
   Type: 3 (central processor)
   Socket Upgrade: 1 (other)
   Socket Status: Populated
+  Cores: 2
+  Cores Enabled: 2
+  Hardware Threads: 0
+  Characteristics: 0x4
+	SMB_PRC_MC (multi-core)
   Processor Status: 1 (enabled)
-  Supported Voltages: 1.5V
-  External Clock Speed: Unknown
-  Maximum Speed: 10200MHz
-  Current Speed: 2800MHz
-  L1 Cache: 9
-  L2 Cache: 10
-  L3 Cache: 11
+  Supported Voltages: 1.5 V
+  External Clock Speed: 200 MHz
+  Maximum Speed: 10200 MHz
+  Current Speed: 2800 MHz
+  L1 Cache: see ID 9
+  L2 Cache: see ID 10
+  L3 Cache: see ID 11
 
 ID    SIZE TYPE
-9     27   SMB_TYPE_CACHE (processor cache)
+9     27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L1-Cache
 
@@ -212,7 +223,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-10    27   SMB_TYPE_CACHE (processor cache)
+10    27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L2-Cache
 
@@ -232,7 +243,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-11    27   SMB_TYPE_CACHE (processor cache)
+11    27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L3-Cache
 
@@ -252,7 +263,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-12    128  SMB_TYPE_PROCESSOR (processor)
+12    128  4 SMB_TYPE_PROCESSOR (processor)
 
   Manufacturer: AMD              
   Version: Six-Core AMD Opteron(tm) Processor 8439 SE          
@@ -266,17 +277,22 @@
   Type: 3 (central processor)
   Socket Upgrade: 1 (other)
   Socket Status: Populated
+  Cores: 2
+  Cores Enabled: 2
+  Hardware Threads: 0
+  Characteristics: 0x4
+	SMB_PRC_MC (multi-core)
   Processor Status: 1 (enabled)
-  Supported Voltages: 1.5V
-  External Clock Speed: Unknown
-  Maximum Speed: 10200MHz
-  Current Speed: 2800MHz
-  L1 Cache: 13
-  L2 Cache: 14
-  L3 Cache: 15
+  Supported Voltages: 1.5 V
+  External Clock Speed: 200 MHz
+  Maximum Speed: 10200 MHz
+  Current Speed: 2800 MHz
+  L1 Cache: see ID 13
+  L2 Cache: see ID 14
+  L3 Cache: see ID 15
 
 ID    SIZE TYPE
-13    27   SMB_TYPE_CACHE (processor cache)
+13    27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L1-Cache
 
@@ -296,7 +312,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-14    27   SMB_TYPE_CACHE (processor cache)
+14    27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L2-Cache
 
@@ -316,7 +332,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-15    27   SMB_TYPE_CACHE (processor cache)
+15    27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L3-Cache
 
@@ -336,7 +352,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-16    128  SMB_TYPE_PROCESSOR (processor)
+16    128  4 SMB_TYPE_PROCESSOR (processor)
 
   Manufacturer: AMD              
   Version: Six-Core AMD Opteron(tm) Processor 8439 SE          
@@ -350,17 +366,22 @@
   Type: 3 (central processor)
   Socket Upgrade: 1 (other)
   Socket Status: Populated
+  Cores: 2
+  Cores Enabled: 2
+  Hardware Threads: 0
+  Characteristics: 0x4
+	SMB_PRC_MC (multi-core)
   Processor Status: 1 (enabled)
-  Supported Voltages: 1.5V
-  External Clock Speed: Unknown
-  Maximum Speed: 10200MHz
-  Current Speed: 2800MHz
-  L1 Cache: 17
-  L2 Cache: 18
-  L3 Cache: 19
+  Supported Voltages: 1.5 V
+  External Clock Speed: 200 MHz
+  Maximum Speed: 10200 MHz
+  Current Speed: 2800 MHz
+  L1 Cache: see ID 17
+  L2 Cache: see ID 18
+  L3 Cache: see ID 19
 
 ID    SIZE TYPE
-17    27   SMB_TYPE_CACHE (processor cache)
+17    27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L1-Cache
 
@@ -380,7 +401,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-18    27   SMB_TYPE_CACHE (processor cache)
+18    27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L2-Cache
 
@@ -400,7 +421,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-19    27   SMB_TYPE_CACHE (processor cache)
+19    27   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: L3-Cache
 
@@ -420,7 +441,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-20    20   SMB_TYPE_PORT (port connector)
+20    20   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J705
 
@@ -431,7 +452,7 @@
   Port Type: 8 (Serial Port 16550 compat)
 
 ID    SIZE TYPE
-21    17   SMB_TYPE_PORT (port connector)
+21    17   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J801
 
@@ -442,7 +463,7 @@
   Port Type: 28 (Video port)
 
 ID    SIZE TYPE
-22    20   SMB_TYPE_PORT (port connector)
+22    20   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J901
 
@@ -453,7 +474,7 @@
   Port Type: 31 (Network port)
 
 ID    SIZE TYPE
-23    19   SMB_TYPE_PORT (port connector)
+23    19   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J3201
 
@@ -464,7 +485,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-24    19   SMB_TYPE_PORT (port connector)
+24    19   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J3202
 
@@ -475,7 +496,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-25    23   SMB_TYPE_PORT (port connector)
+25    23   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J3204
 
@@ -486,7 +507,7 @@
   Port Type: 31 (Network port)
 
 ID    SIZE TYPE
-26    29   SMB_TYPE_PORT (port connector)
+26    29   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: (J100 - J104) - SATA
 
@@ -497,7 +518,7 @@
   Port Type: 33 (SAS)
 
 ID    SIZE TYPE
-27    29   SMB_TYPE_PORT (port connector)
+27    29   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: (J204 - J207) - SATA
 
@@ -508,7 +529,7 @@
   Port Type: 33 (SAS)
 
 ID    SIZE TYPE
-28    33   SMB_TYPE_PORT (port connector)
+28    33   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J303 - IDE_USB USB2 USB3
 
@@ -519,7 +540,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-29    23   SMB_TYPE_PORT (port connector)
+29    23   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J604 - BDI2000
 
@@ -530,7 +551,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-30    29   SMB_TYPE_PORT (port connector)
+30    29   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J702 -  LPC PORT 80H
 
@@ -541,7 +562,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-31    25   SMB_TYPE_PORT (port connector)
+31    25   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J1701 - F/RA SMT
 
@@ -552,7 +573,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-32    29   SMB_TYPE_PORT (port connector)
+32    29   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J1702 - PDB/FROMT IO
 
@@ -563,7 +584,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-33    32   SMB_TYPE_PORT (port connector)
+33    32   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: (J2901 - J2902) - PCI-E
 
@@ -574,7 +595,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-34    32   SMB_TYPE_PORT (port connector)
+34    32   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: (J3001 - J3002) - PCI-E
 
@@ -585,7 +606,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-35    32   SMB_TYPE_PORT (port connector)
+35    32   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: (J3101 - J3102) - PCI-E
 
@@ -596,7 +617,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-36    21   SMB_TYPE_PORT (port connector)
+36    21   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J3203 - USB6
 
@@ -607,7 +628,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-37    35   SMB_TYPE_PORT (port connector)
+37    35   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J3501 - MEZZANINE CPU(0-2)
 
@@ -618,7 +639,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-38    35   SMB_TYPE_PORT (port connector)
+38    35   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J3502 - MEZZANINE CPU(1-3)
 
@@ -629,7 +650,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-39    36   SMB_TYPE_PORT (port connector)
+39    36   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J3503 - POWER for MEZZANINE
 
@@ -640,7 +661,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-40    31   SMB_TYPE_PORT (port connector)
+40    31   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J3504 - MEZZANINE MISC
 
@@ -651,7 +672,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-41    29   SMB_TYPE_PORT (port connector)
+41    29   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J4301 - J4302) - HDT
 
@@ -662,7 +683,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-42    24   SMB_TYPE_PORT (port connector)
+42    24   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J4501 - SP JTAG
 
@@ -673,7 +694,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-43    24   SMB_TYPE_PORT (port connector)
+43    24   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: J4502 - UCD9080
 
@@ -684,7 +705,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-44    25   SMB_TYPE_SLOT (upgradeable system slot)
+44    25   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCIExp SLOT0
 
@@ -695,13 +716,13 @@
   Usage: 0x4 (in use)
   Length: 0x3 (short length)
   Slot Characteristics 1: 0xc
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
 	SMB_SLCH1_SHARED (opening shared with other slot)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-45    25   SMB_TYPE_SLOT (upgradeable system slot)
+45    25   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCIExp SLOT1
 
@@ -712,13 +733,13 @@
   Usage: 0x3 (available)
   Length: 0x3 (short length)
   Slot Characteristics 1: 0xc
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
 	SMB_SLCH1_SHARED (opening shared with other slot)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-46    25   SMB_TYPE_SLOT (upgradeable system slot)
+46    25   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCIExp SLOT2
 
@@ -729,13 +750,13 @@
   Usage: 0x3 (available)
   Length: 0x3 (short length)
   Slot Characteristics 1: 0xc
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
 	SMB_SLCH1_SHARED (opening shared with other slot)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-47    25   SMB_TYPE_SLOT (upgradeable system slot)
+47    25   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCIExp SLOT3
 
@@ -746,13 +767,13 @@
   Usage: 0x3 (available)
   Length: 0x3 (short length)
   Slot Characteristics 1: 0xc
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
 	SMB_SLCH1_SHARED (opening shared with other slot)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-48    25   SMB_TYPE_SLOT (upgradeable system slot)
+48    25   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCIExp SLOT4
 
@@ -763,13 +784,13 @@
   Usage: 0x3 (available)
   Length: 0x3 (short length)
   Slot Characteristics 1: 0xc
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
 	SMB_SLCH1_SHARED (opening shared with other slot)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-49    25   SMB_TYPE_SLOT (upgradeable system slot)
+49    25   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCIExp SLOT5
 
@@ -780,43 +801,43 @@
   Usage: 0x3 (available)
   Length: 0x3 (short length)
   Slot Characteristics 1: 0xc
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
 	SMB_SLCH1_SHARED (opening shared with other slot)
   Slot Characteristics 2: 0x1
 	SMB_SLCH2_PME (slot supports PME# signal)
 
 ID    SIZE TYPE
-50    26   SMB_TYPE_OBDEVS (on-board devices)
+50    26   10 SMB_TYPE_OBDEVS (on-board devices)
 
    Gigabit Ethernet #1
 
 ID    SIZE TYPE
-51    26   SMB_TYPE_OBDEVS (on-board devices)
+51    26   10 SMB_TYPE_OBDEVS (on-board devices)
 
    Gigabit Ethernet #2
 
 ID    SIZE TYPE
-52    26   SMB_TYPE_OBDEVS (on-board devices)
+52    26   10 SMB_TYPE_OBDEVS (on-board devices)
 
    Gigabit Ethernet #3
 
 ID    SIZE TYPE
-53    26   SMB_TYPE_OBDEVS (on-board devices)
+53    26   10 SMB_TYPE_OBDEVS (on-board devices)
 
    Gigabit Ethernet #4
 
 ID    SIZE TYPE
-54    18   SMB_TYPE_OBDEVS (on-board devices)
+54    18   10 SMB_TYPE_OBDEVS (on-board devices)
 
    AST2000 VGA
 
 ID    SIZE TYPE
-55    17   SMB_TYPE_OEMSTR (OEM string table)
+55    17   11 SMB_TYPE_OEMSTR (OEM string table)
 
   4480527-1
 
 ID    SIZE TYPE
-56    37   SMB_TYPE_LANG (BIOS language information)
+56    37   13 SMB_TYPE_LANG (BIOS language information)
 
   Current Language: en|US|iso8859-1
   Language String Format: 1
@@ -825,7 +846,7 @@
   en|US|iso8859-1
 
 ID    SIZE TYPE
-57    55   SMB_TYPE_EVENTLOG (system event log)
+57    55   15 SMB_TYPE_EVENTLOG (system event log)
 
   Log Area Size: 1008 bytes
   Header Offset: 6160
@@ -849,7 +870,7 @@
   9: Log Type 0x90, Data Type 0x4
 
 ID    SIZE TYPE
-58    15   SMB_TYPE_MEMARRAY (physical memory array)
+58    15   16 SMB_TYPE_MEMARRAY (physical memory array)
 
   Location: 3 (system board or motherboard)
   Use: 3 (system memory)
@@ -859,15 +880,15 @@
   Max Capacity: 274877906944 bytes
 
 ID    SIZE TYPE
-59    15   SMB_TYPE_MEMARRAYMAP (memory array mapped address)
+59    15   19 SMB_TYPE_MEMARRAYMAP (memory array mapped address)
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Devices per Row: 1
   Physical Address: 0x0
   Size: 69390565376 bytes
 
 ID    SIZE TYPE
-60    96   SMB_TYPE_MEMDEVICE (memory device)
+60    96   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -875,10 +896,11 @@
   Location Tag: DIMM0
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -885,11 +907,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM0
   Bank Locator: BANK0
 
 ID    SIZE TYPE
-62    96   SMB_TYPE_MEMDEVICE (memory device)
+62    96   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -897,10 +920,11 @@
   Location Tag: DIMM1
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -907,11 +931,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM1
   Bank Locator: BANK1
 
 ID    SIZE TYPE
-64    96   SMB_TYPE_MEMDEVICE (memory device)
+64    96   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -919,10 +944,11 @@
   Location Tag: DIMM2
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -929,11 +955,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM2
   Bank Locator: BANK2
 
 ID    SIZE TYPE
-66    96   SMB_TYPE_MEMDEVICE (memory device)
+66    96   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -941,10 +968,11 @@
   Location Tag: DIMM3
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -951,11 +979,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM3
   Bank Locator: BANK3
 
 ID    SIZE TYPE
-68    96   SMB_TYPE_MEMDEVICE (memory device)
+68    96   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -963,10 +992,11 @@
   Location Tag: DIMM4
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -973,15 +1003,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM4
   Bank Locator: BANK4
 
 ID    SIZE TYPE
-69    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+69    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 68
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 68
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0x0
   Size: 4294967296 bytes
   Partition Row Position: 1
@@ -989,7 +1020,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-70    96   SMB_TYPE_MEMDEVICE (memory device)
+70    96   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -997,10 +1028,11 @@
   Location Tag: DIMM5
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1007,15 +1039,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM5
   Bank Locator: BANK5
 
 ID    SIZE TYPE
-71    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+71    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 70
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 70
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0x100000000
   Size: 4294967296 bytes
   Partition Row Position: 2
@@ -1023,7 +1056,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-72    96   SMB_TYPE_MEMDEVICE (memory device)
+72    96   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1031,10 +1064,11 @@
   Location Tag: DIMM6
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1041,15 +1075,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM6
   Bank Locator: BANK6
 
 ID    SIZE TYPE
-73    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+73    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 72
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 72
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0x200000000
   Size: 4294967296 bytes
   Partition Row Position: 1
@@ -1057,7 +1092,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-74    96   SMB_TYPE_MEMDEVICE (memory device)
+74    96   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1065,10 +1100,11 @@
   Location Tag: DIMM7
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1075,15 +1111,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM7
   Bank Locator: BANK7
 
 ID    SIZE TYPE
-75    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+75    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 74
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 74
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0x300000000
   Size: 4294967296 bytes
   Partition Row Position: 2
@@ -1091,7 +1128,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-76    96   SMB_TYPE_MEMDEVICE (memory device)
+76    96   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1099,10 +1136,11 @@
   Location Tag: DIMM8
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1109,11 +1147,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM8
   Bank Locator: BANK8
 
 ID    SIZE TYPE
-78    96   SMB_TYPE_MEMDEVICE (memory device)
+78    96   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1121,10 +1160,11 @@
   Location Tag: DIMM9
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1131,11 +1171,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM9
   Bank Locator: BANK9
 
 ID    SIZE TYPE
-80    98   SMB_TYPE_MEMDEVICE (memory device)
+80    98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1143,10 +1184,11 @@
   Location Tag: DIMM10
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1153,11 +1195,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM10
   Bank Locator: BANK10
 
 ID    SIZE TYPE
-82    98   SMB_TYPE_MEMDEVICE (memory device)
+82    98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1165,10 +1208,11 @@
   Location Tag: DIMM11
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1175,11 +1219,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM11
   Bank Locator: BANK11
 
 ID    SIZE TYPE
-84    98   SMB_TYPE_MEMDEVICE (memory device)
+84    98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1187,10 +1232,11 @@
   Location Tag: DIMM12
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1197,15 +1243,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM12
   Bank Locator: BANK12
 
 ID    SIZE TYPE
-85    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+85    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 84
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 84
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0x400000000
   Size: 4294967296 bytes
   Partition Row Position: 1
@@ -1213,7 +1260,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-86    98   SMB_TYPE_MEMDEVICE (memory device)
+86    98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1221,10 +1268,11 @@
   Location Tag: DIMM13
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1231,15 +1279,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM13
   Bank Locator: BANK13
 
 ID    SIZE TYPE
-87    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+87    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 86
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 86
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0x500000000
   Size: 4294967296 bytes
   Partition Row Position: 2
@@ -1247,7 +1296,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-88    98   SMB_TYPE_MEMDEVICE (memory device)
+88    98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1255,10 +1304,11 @@
   Location Tag: DIMM14
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1265,15 +1315,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM14
   Bank Locator: BANK14
 
 ID    SIZE TYPE
-89    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+89    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 88
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 88
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0x600000000
   Size: 4294967296 bytes
   Partition Row Position: 1
@@ -1281,7 +1332,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-90    98   SMB_TYPE_MEMDEVICE (memory device)
+90    98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1289,10 +1340,11 @@
   Location Tag: DIMM15
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1299,15 +1351,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM15
   Bank Locator: BANK15
 
 ID    SIZE TYPE
-91    19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+91    19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 90
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 90
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0x700000000
   Size: 4294967296 bytes
   Partition Row Position: 2
@@ -1315,7 +1368,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-92    98   SMB_TYPE_MEMDEVICE (memory device)
+92    98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1323,10 +1376,11 @@
   Location Tag: DIMM16
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1333,11 +1387,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM16
   Bank Locator: BANK16
 
 ID    SIZE TYPE
-94    98   SMB_TYPE_MEMDEVICE (memory device)
+94    98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1345,10 +1400,11 @@
   Location Tag: DIMM17
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1355,11 +1411,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM17
   Bank Locator: BANK17
 
 ID    SIZE TYPE
-96    98   SMB_TYPE_MEMDEVICE (memory device)
+96    98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1367,10 +1424,11 @@
   Location Tag: DIMM18
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1377,11 +1435,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM18
   Bank Locator: BANK18
 
 ID    SIZE TYPE
-98    98   SMB_TYPE_MEMDEVICE (memory device)
+98    98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1389,10 +1448,11 @@
   Location Tag: DIMM19
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1399,11 +1459,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM19
   Bank Locator: BANK19
 
 ID    SIZE TYPE
-100   98   SMB_TYPE_MEMDEVICE (memory device)
+100   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1411,10 +1472,11 @@
   Location Tag: DIMM20
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1421,15 +1483,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM20
   Bank Locator: BANK20
 
 ID    SIZE TYPE
-101   19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+101   19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 100
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 100
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0x800000000
   Size: 4294967296 bytes
   Partition Row Position: 1
@@ -1437,7 +1500,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-102   98   SMB_TYPE_MEMDEVICE (memory device)
+102   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1445,10 +1508,11 @@
   Location Tag: DIMM21
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1455,15 +1519,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM21
   Bank Locator: BANK21
 
 ID    SIZE TYPE
-103   19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+103   19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 102
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 102
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0x900000000
   Size: 4294967296 bytes
   Partition Row Position: 2
@@ -1471,7 +1536,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-104   98   SMB_TYPE_MEMDEVICE (memory device)
+104   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1479,10 +1544,11 @@
   Location Tag: DIMM22
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1489,15 +1555,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM22
   Bank Locator: BANK22
 
 ID    SIZE TYPE
-105   19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+105   19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 104
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 104
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0xa00000000
   Size: 4294967296 bytes
   Partition Row Position: 1
@@ -1505,7 +1572,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-106   98   SMB_TYPE_MEMDEVICE (memory device)
+106   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1513,10 +1580,11 @@
   Location Tag: DIMM23
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1523,15 +1591,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM23
   Bank Locator: BANK23
 
 ID    SIZE TYPE
-107   19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+107   19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 106
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 106
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0xb00000000
   Size: 4294967296 bytes
   Partition Row Position: 2
@@ -1539,7 +1608,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-108   98   SMB_TYPE_MEMDEVICE (memory device)
+108   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1547,10 +1616,11 @@
   Location Tag: DIMM24
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1557,11 +1627,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM24
   Bank Locator: BANK24
 
 ID    SIZE TYPE
-110   98   SMB_TYPE_MEMDEVICE (memory device)
+110   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1569,10 +1640,11 @@
   Location Tag: DIMM25
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1579,11 +1651,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM25
   Bank Locator: BANK25
 
 ID    SIZE TYPE
-112   98   SMB_TYPE_MEMDEVICE (memory device)
+112   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1591,10 +1664,11 @@
   Location Tag: DIMM26
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1601,11 +1675,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM26
   Bank Locator: BANK26
 
 ID    SIZE TYPE
-114   98   SMB_TYPE_MEMDEVICE (memory device)
+114   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: MANUFACTURER
   Serial Number: 00000000
@@ -1613,10 +1688,11 @@
   Location Tag: DIMM27
   Part Number: Part Number       
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: Unknown
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 1 (other)
   Set: None
@@ -1623,11 +1699,12 @@
   Memory Type: 2 (unknown)
   Flags: 0x0
   Speed: Unknown
+  Configured Speed: Unknown
   Device Locator: DIMM27
   Bank Locator: BANK27
 
 ID    SIZE TYPE
-116   98   SMB_TYPE_MEMDEVICE (memory device)
+116   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1635,10 +1712,11 @@
   Location Tag: DIMM28
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1645,15 +1723,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM28
   Bank Locator: BANK28
 
 ID    SIZE TYPE
-117   19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+117   19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 116
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 116
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0xc00000000
   Size: 4294967296 bytes
   Partition Row Position: 1
@@ -1661,7 +1740,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-118   98   SMB_TYPE_MEMDEVICE (memory device)
+118   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1669,10 +1748,11 @@
   Location Tag: DIMM29
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1679,15 +1759,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM29
   Bank Locator: BANK29
 
 ID    SIZE TYPE
-119   19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+119   19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 118
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 118
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0xd00000000
   Size: 4294967296 bytes
   Partition Row Position: 2
@@ -1695,7 +1776,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-120   98   SMB_TYPE_MEMDEVICE (memory device)
+120   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1703,10 +1784,11 @@
   Location Tag: DIMM30
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1713,15 +1795,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM30
   Bank Locator: BANK30
 
 ID    SIZE TYPE
-121   19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+121   19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 120
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 120
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0xe00000000
   Size: 4294967296 bytes
   Partition Row Position: 1
@@ -1729,7 +1812,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-122   98   SMB_TYPE_MEMDEVICE (memory device)
+122   98   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer: Samsung     
   Serial Number: 00000000
@@ -1737,10 +1820,11 @@
   Location Tag: DIMM31
   Part Number: M3 93T5160QZA-CE6 
 
-  Physical Memory Array: 58
+  Physical Memory Array: see ID 58
   Memory Error Data: Not Supported
   Total Width: 72 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
@@ -1747,15 +1831,16 @@
   Memory Type: 19 (DDR2)
   Flags: 0x80
 	SMB_MDF_SYNC (synchronous)
-  Speed: 3ns
+  Speed: 333 MHz
+  Configured Speed: Unknown
   Device Locator: DIMM31
   Bank Locator: BANK31
 
 ID    SIZE TYPE
-123   19   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+123   19   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 122
-  Memory Array Mapped Address: 59
+  Memory Device: see ID 122
+  Memory Array Mapped Address: see ID 59
   Physical Address: 0xf00000000
   Size: 4294967296 bytes
   Partition Row Position: 2
@@ -1763,7 +1848,7 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-124   20   SMB_TYPE_BOOT (system boot status)
+124   20   32 SMB_TYPE_BOOT (system boot status)
 
   Boot Status Code: 0x0 (no errors detected)
   Boot Data (9 bytes):
@@ -1773,7 +1858,7 @@
 
 
 ID    SIZE TYPE
-125   18   SMB_TYPE_IPMIDEV (IPMI device information)
+125   18   38 SMB_TYPE_IPMIDEV (IPMI device information)
 
   Type: 1 (KCS: Keyboard Controller Style)
   BMC IPMI Version: 2.0
